Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::IndexPCalculator Class Reference

`#include <SensIndexPCalculator.hpp>`

Inheritance diagram for Ipopt::IndexPCalculator:
[legend]

## Public Member Functions
| IndexPCalculator (SmartPtr< SensBacksolver > backsolver, SmartPtr< SchurData > A_data)
| This class is the implementation of the PCalculator that corresponds to IndexSchurData. More...
virtual | ~IndexPCalculator ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Overloaded from PCalculator. More...
virtual bool | ComputeP ()
| Function to start the computation of P from E_0 and KKT. More...
virtual bool | GetSchurMatrix (const SmartPtr< const SchurData > &B, SmartPtr< Matrix > &S)
| Function to extract a SchurMatrix corresponding to $B K^{-1} A$. More...
virtual void | PrintImpl (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent, const std::string &prefix) const
Public Member Functions inherited from Ipopt::PCalculator
| PCalculator (SmartPtr< SensBacksolver > backsolver, SmartPtr< SchurData > A_data)
| This class is the interface for implementations of any class that calculates the matrix of the following matrix: . More...
virtual | ~PCalculator ()
void | Print (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent=0, const std::string &prefix="") const
void | Print (SmartPtr< const Journalist > jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent, const std::string &prefix) const
SmartPtr< SensBacksolver > | Solver () const
| Accessor methods for data and backsolver. More...
SmartPtr< const SchurData > | data_A () const
SmartPtr< SchurData > | data_A_nonconst () const
void | reset_data_A ()
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Attributes
Index | nrows_
| Rows of P = Rows of KKT. More...
Index | ncols_
| Cols of P. More...
std::map< Index, SmartPtr < PColumn > > | cols_

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Definition at line 17 of file SensIndexPCalculator.hpp.

## Constructor & Destructor Documentation

Ipopt::IndexPCalculator::IndexPCalculator | ( | SmartPtr< SensBacksolver > | backsolver,
|  | SmartPtr< SchurData > | A_data
| ) |  |

This class is the implementation of the PCalculator that corresponds to IndexSchurData.

It expects to be used with a kind of IndexSchurData.

virtual Ipopt::IndexPCalculator::~IndexPCalculator | ( |  | ) |
| virtual

## Member Function Documentation

virtual bool Ipopt::IndexPCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

Overloaded from PCalculator.

Reimplemented from Ipopt::PCalculator.

virtual bool Ipopt::IndexPCalculator::ComputeP | ( |  | ) |
| virtual

Function to start the computation of P from E_0 and KKT.

Implements Ipopt::PCalculator.

virtual bool Ipopt::IndexPCalculator::GetSchurMatrix | ( | const SmartPtr< const SchurData > & | B,
|  | SmartPtr< Matrix > & | S
| ) |  |
| virtual

Function to extract a SchurMatrix corresponding to $B K^{-1} A$.

If B==NULL, use A=B

Implements Ipopt::PCalculator.

virtual void Ipopt::IndexPCalculator::PrintImpl | ( | const Journalist & | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category,
|  | const std::string & | name,
|  | Index | indent,
|  | const std::string & | prefix
| ) |  | const
| virtual

Implements Ipopt::PCalculator.

## Member Data Documentation

Index Ipopt::IndexPCalculator::nrows_
| private

Rows of P = Rows of KKT.

Definition at line 47 of file SensIndexPCalculator.hpp.

Index Ipopt::IndexPCalculator::ncols_
| private

Cols of P.

Definition at line 50 of file SensIndexPCalculator.hpp.

std::map< Index, SmartPtr<PColumn> > Ipopt::IndexPCalculator::cols_
| private

Definition at line 52 of file SensIndexPCalculator.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensIndexPCalculator.hpp